> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vine.getcourtyard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll an extraction

> Readable only by the creating key.



## OpenAPI

````yaml openapi.json GET /api/v1/extractions/{id}
openapi: 3.1.0
info:
  title: Vine API
  version: extraction.v1
  description: >-
    Provider detection and extraction service. URL in → structured business data
    out.
servers:
  - url: https://vine.getcourtyard.ai
security:
  - bearerAuth: []
paths:
  /api/v1/extractions/{id}:
    get:
      summary: Poll an extraction
      description: Readable only by the creating key.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Current state of the extraction.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionState'
        '401':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ExtractionState:
      type: object
      properties:
        schemaVersion:
          type: string
        id:
          type: string
        kind:
          type: string
          enum:
            - extract
        status:
          type: string
          enum:
            - queued
            - running
            - succeeded
            - failed
            - timed_out
        attempt:
          type: integer
        createdAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
          nullable: true
        finishedAt:
          type: string
          format: date-time
          nullable: true
        durationMs:
          type: integer
          nullable: true
        result:
          type: object
          nullable: true
        failure:
          type: object
          nullable: true
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
  responses:
    Error:
      description: Error envelope.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: vine_live_… / vine_test_… API key

````